package com.jay.monitor.data.server.models.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.util.Date;

public class BackstageUrl {
    @TableId(type = IdType.AUTO)
    private Integer id;

    private String url;

    private String domain;

    private String serviceName;

    private String frontProjectName;

    private String method;

    private String userSystem;

    private String userDevice;

    private String userId;

    private String userIp;

    private String serviceIp;

    private String msgId;

    private String version;

    private Integer statusCode;

    private Integer analysisCode;

    private String analysisMsg;

    private Date createTime;

    private long invokeTime;

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName == null ? null : serviceName.trim();
    }

    public String getFrontProjectName() {
        return frontProjectName;
    }

    public void setFrontProjectName(String frontProjectName) {
        this.frontProjectName = frontProjectName == null ? null : frontProjectName.trim();
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method == null ? null : method.trim();
    }

    public String getUserSystem() {
        return userSystem;
    }

    public void setUserSystem(String userSystem) {
        this.userSystem = userSystem == null ? null : userSystem.trim();
    }

    public String getUserDevice() {
        return userDevice;
    }

    public void setUserDevice(String userDevice) {
        this.userDevice = userDevice == null ? null : userDevice.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getUserIp() {
        return userIp;
    }

    public void setUserIp(String userIp) {
        this.userIp = userIp == null ? null : userIp.trim();
    }

    public String getServiceIp() {
        return serviceIp;
    }

    public void setServiceIp(String serviceIp) {
        this.serviceIp = serviceIp == null ? null : serviceIp.trim();
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId == null ? null : msgId.trim();
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version == null ? null : version.trim();
    }

    public Integer getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(Integer statusCode) {
        this.statusCode = statusCode;
    }

    public Integer getAnalysisCode() {
        return analysisCode;
    }

    public void setAnalysisCode(Integer analysisCode) {
        this.analysisCode = analysisCode;
    }

    public String getAnalysisMsg() {
        return analysisMsg;
    }

    public void setAnalysisMsg(String analysisMsg) {
        this.analysisMsg = analysisMsg == null ? null : analysisMsg.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public long getInvokeTime() {
        return invokeTime;
    }

    public void setInvokeTime(long invokeTime) {
        this.invokeTime = invokeTime;
    }
}